# $Revision: 1.17 $, $Date: 2011/02/14 07:49:04 $
Summary:	SASL Tcl extension
Summary(pl.UTF-8):	Rozszerzenie SASL dla Tcl
Name:		tclsasl
Version:	1.0
Release:	6
License:	distributable
Group:		Development/Languages/Tcl
Source0:	http://beepcore-tcl.sourceforge.net/%{name}-%{version}.tgz
# Source0-md5:	6d8cc2bd31d9d41a999a72817308d165
Patch0:		%{name}-CFLAGS.patch
Patch1:		%{name}-automake.patch
Patch2:		%{name}-DESTDIR.patch
URL:		http://beepcore-tcl.sourceforge.net/%{name}.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel >= 2.0
BuildRequires:	cyrus-sasl-sasldb >= 2.0
BuildRequires:	libtool
BuildRequires:	tcl-devel >= 8.3.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcl SASL provides a Tcl interface to the Cyrus SASLv2 library.

%description -l pl.UTF-8
Tcl SASL udostępnia interfejs Tcl-a do biblioteki Cyrus SASLv2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f config/missing
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__automake}
%configure

%{__make} \
	LIB_TCL="-ltcl" \
	LIB_SASL="-lsasl -R %{_libdir}/sasl2 -L%{_libdir}/sasl2 -lsasldb"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

# TCL_PACKAGE_PATH is /usr/lib for all archs
rm $RPM_BUILD_ROOT/sasl-*/*.{html,tcl}
rm $RPM_BUILD_ROOT%{_prefix}/lib/*.{html,tcl}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS doc/tclsasl.html
%{_libdir}/*.la
%attr(755,root,root)  %{_libdir}/*.so.*
%attr(755,root,root)  %{_libdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tclsasl.spec,v $
Revision 1.17  2011/02/14 07:49:04  glen
- release 6

Revision 1.16  2008/11/03 10:13:23  duddits
- version typo

Revision 1.15  2008/11/03 10:11:57  duddits
- rel. 5
- fix paths
- tuneups in %files

Revision 1.14  2008/07/27 23:06:24  arekm
- release 4

Revision 1.13  2007-02-12 22:09:17  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.11  2006/12/23 12:07:11  arekm
- fix amd64 build

Revision 1.10  2004/11/04 16:50:59  ankry
- OOPS

Revision 1.9  2004/11/04 16:45:10  ankry
- once again

Revision 1.8  2004/11/04 16:27:32  ankry
- hopefully finally fixed amd64 build, rel. 2

Revision 1.7  2004/11/04 14:01:19  ankry
- attempt to fix amd64 build

Revision 1.6  2003/12/15 10:41:54  jajcus
- missing library added

Revision 1.5  2003/06/16 13:31:25  qboosh
- more verbose file list, BR: cyrus-sasl-sasldb

Revision 1.4  2003/06/13 14:40:58  qboosh
- sasl2 required (not openssl)

Revision 1.3  2003/06/10 20:19:59  qboosh
- pl description, BR: ac,am,lt

Revision 1.2  2003/06/10 08:09:08  jajcus
- link with -lsasldb

Revision 1.1  2003/06/10 07:47:07  jajcus
- new spec
